Skip to main content
Web Services

Execute a report

Execute a Report.

POST
/web-services/gb/reporting/executeReport

This method requires the WebServices permission to be associated with your role.

This API invokes the legacy executeReport web service. Note, this endpoint will be deprecated once a full service replacement has been developed.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd

Body

application/vnd.catch-e-api.v1+json

JSON payload

argumentsobject

(Optional) Report execution modifier arguments

parametersobjectrequired

Report parameters

These parameters will vary significantly depending on the report_path specified

report_formatenum<string>default:PDFrequired
TypeDescription
PDFCreates 1 or multiple PDF documents directly using FPDF
Text(CSV)Creates a CSV file
ExcelXmlReplaces field placeholders with record data in a text based template
Field-ListUsed to generate a list of available fields from the report template
Available options: PDF, Text(CSV), ExcelXml, Field-List
report_pathstringrequired

Report path to execute

Example: /core/fleet/reports/pdf_novated_driver_budgeted_with_transactions.phpo

Response

application/octet-stream

Success

bodystring